| FFmpegKit iOS / macOS / tvOS API 6.0

Loading...
Searching...
No Matches
Instance Methods | Class Methods
FFprobeSession Class Reference

`#import <FFprobeSession.h>`

## Instance Methods
(FFprobeSessionCompleteCallback) | - getCompleteCallback
(instancetype) | - init:withCompleteCallback:withLogCallback:withLogRedirectionStrategy:`[implementation]`
(BOOL) | - isFFmpeg`[implementation]`
(BOOL) | - isFFprobe`[implementation]`
(BOOL) | - isMediaInformation`[implementation]`
Instance Methods inherited from AbstractSession
(instancetype) | - init:withLogCallback:withLogRedirectionStrategy:
(void) | - waitForAsynchronousMessagesInTransmit:
(LogCallback) | - getLogCallback`[implementation]`
(long) | - getSessionId`[implementation]`
(NSDate *) | - getCreateTime`[implementation]`
(NSDate *) | - getStartTime`[implementation]`
(NSDate *) | - getEndTime`[implementation]`
(long) | - getDuration`[implementation]`
(NSArray *) | - getArguments`[implementation]`
(NSString *) | - getCommand`[implementation]`
(NSArray *) | - getAllLogsWithTimeout:`[implementation]`
(NSArray *) | - getAllLogs`[implementation]`
(NSArray *) | - getLogs`[implementation]`
(NSString *) | - getAllLogsAsStringWithTimeout:`[implementation]`
(NSString *) | - getAllLogsAsString`[implementation]`
(NSString *) | - getLogsAsString`[implementation]`
(NSString *) | - getOutput`[implementation]`
(SessionState) | - getState`[implementation]`
(ReturnCode *) | - getReturnCode`[implementation]`
(NSString *) | - getFailStackTrace`[implementation]`
(LogRedirectionStrategy) | - getLogRedirectionStrategy`[implementation]`
(BOOL) | - thereAreAsynchronousMessagesInTransmit`[implementation]`
(void) | - addLog:`[implementation]`
(void) | - startRunning`[implementation]`
(void) | - complete:`[implementation]`
(void) | - fail:`[implementation]`
(BOOL) | - isFFmpeg`[implementation]`
(BOOL) | - isFFprobe`[implementation]`
(BOOL) | - isMediaInformation`[implementation]`
(void) | - cancel`[implementation]`
(LogCallback) | - getLogCallback
(long) | - getSessionId
(NSDate *) | - getCreateTime
(NSDate *) | - getStartTime
(NSDate *) | - getEndTime
(long) | - getDuration
(NSArray *) | - getArguments
(NSString *) | - getCommand
(NSArray *) | - getAllLogsWithTimeout:
(NSArray *) | - getAllLogs
(NSArray *) | - getLogs
(NSString *) | - getAllLogsAsStringWithTimeout:
(NSString *) | - getAllLogsAsString
(NSString *) | - getLogsAsString
(NSString *) | - getOutput
(SessionState) | - getState
(ReturnCode *) | - getReturnCode
(NSString *) | - getFailStackTrace
(LogRedirectionStrategy) | - getLogRedirectionStrategy
(BOOL) | - thereAreAsynchronousMessagesInTransmit
(void) | - addLog:
(void) | - startRunning
(void) | - complete:
(void) | - fail:
(BOOL) | - isFFmpeg
(BOOL) | - isFFprobe
(BOOL) | - isMediaInformation
(void) | - cancel

## Class Methods
(instancetype) | + create:
(instancetype) | + create:withCompleteCallback:
(instancetype) | + create:withCompleteCallback:withLogCallback:
(instancetype) | + create:withCompleteCallback:withLogCallback:withLogRedirectionStrategy:
(void) | + initialize`[implementation]`
(void) | + initialize`[implementation]`

## Detailed Description

An FFprobe session.

Definition at line 30 of file FFprobeSession.h.

## Method Documentation

## ◆ create:

+ (instancetype) create: |  | (NSArray*) | arguments |

Builds a new FFprobe session.

Parameters

  arguments | command arguments

Returns
  created session

Definition at line 1 of file FFprobeSession.m.

## ◆ create:withCompleteCallback:

+ (instancetype) create: |  | (NSArray*) | arguments
withCompleteCallback: |  | (FFprobeSessionCompleteCallback) | completeCallback

Builds a new FFprobe session.

Parameters

  arguments | command arguments
  completeCallback | session specific complete callback

Returns
  created session

Definition at line 1 of file FFprobeSession.m.

## ◆ create:withCompleteCallback:withLogCallback:

+ (instancetype) create: |  | (NSArray*) | arguments
withCompleteCallback: |  | (FFprobeSessionCompleteCallback) | completeCallback
withLogCallback: |  | (LogCallback) | logCallback

Builds a new FFprobe session.

Parameters

  arguments | command arguments
  completeCallback | session specific complete callback
  logCallback | session specific log callback

Returns
  created session

Definition at line 1 of file FFprobeSession.m.

## ◆ create:withCompleteCallback:withLogCallback:withLogRedirectionStrategy:

+ (instancetype) create: |  | (NSArray*) | arguments
withCompleteCallback: |  | (FFprobeSessionCompleteCallback) | completeCallback
withLogCallback: |  | (LogCallback) | logCallback
withLogRedirectionStrategy: |  | (LogRedirectionStrategy) | logRedirectionStrategy

Builds a new FFprobe session.

Parameters

  arguments | command arguments
  completeCallback | session specific complete callback
  logCallback | session specific log callback
  logRedirectionStrategy | session specific log redirection strategy

Returns
  created session

Definition at line 1 of file FFprobeSession.m.

## ◆ getCompleteCallback

- (FFprobeSessionCompleteCallback) getCompleteCallback |  |  |

Returns the session specific complete callback.

Returns
  session specific complete callback

Definition at line 1 of file FFprobeSession.m.

## ◆ init:withCompleteCallback:withLogCallback:withLogRedirectionStrategy:

- (instancetype) init: |  | (NSArray*) | arguments
withCompleteCallback: |  | (FFprobeSessionCompleteCallback) | completeCallback
withLogCallback: |  | (LogCallback) | logCallback
withLogRedirectionStrategy: |  | (LogRedirectionStrategy) | logRedirectionStrategy
| implementation

Definition at line 1 of file FFprobeSession.m.

## ◆ initialize

+ (void) initialize |  |  |
| implementation

Reimplemented from AbstractSession.

Definition at line 1 of file FFprobeSession.m.

## ◆ isFFmpeg

- (BOOL) isFFmpeg |  |  |
| implementation

Returns whether it is an `FFmpeg` session or not.

Returns
  true if it is an `FFmpeg` session, false otherwise

Reimplemented from AbstractSession.

Definition at line 1 of file FFprobeSession.m.

## ◆ isFFprobe

- (BOOL) isFFprobe |  |  |
| implementation

Returns whether it is an `FFprobe` session or not.

Returns
  true if it is an `FFprobe` session, false otherwise

Reimplemented from AbstractSession.

Definition at line 1 of file FFprobeSession.m.

## ◆ isMediaInformation

- (BOOL) isMediaInformation |  |  |
| implementation

Returns whether it is a `MediaInformation` session or not.

Returns
  true if it is a `MediaInformation` session, false otherwise

Reimplemented from AbstractSession.

Definition at line 1 of file FFprobeSession.m.

The documentation for this class was generated from the following files:

- FFprobeSession.h
- FFprobeSession.m